Skip to main content
PATCH
/
workspaces
/
{workspace_id}
/
experiments
/
{experiment_id}
Update Experiment
curl --request PATCH \
  --url https://{regionAndDomain}.com/api/app/workspaces/{workspace_id}/experiments/{experiment_id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "hypothesis": "<string>",
  "status": "<string>",
  "settings": {},
  "variants": "<array>",
  "metrics": "<array>",
  "start_date": "<string>",
  "end_date": "<string>",
  "exposures_cache": {},
  "results_cache": {},
  "tags": [
    "<string>"
  ],
  "global_access_type": "<string>"
}
'
{
  "status": "<string>",
  "results": {
    "id": "<string>",
    "name": "<string>",
    "content_type": "<string>",
    "description": "<string>",
    "created": "<string>",
    "creator_id": 123,
    "creator_name": "<string>",
    "creator_email": "<string>",
    "modified": "<string>",
    "deleted": "<string>",
    "is_favorited": true,
    "pinned_date": "<string>",
    "tags": [
      "<string>"
    ],
    "last_modified_by_id": 123,
    "last_modified_by_name": "<string>",
    "last_modified_by_email": "<string>",
    "can_view": true,
    "can_update_basic": true,
    "can_update_restricted": true,
    "can_update_visibility": true,
    "is_superadmin": true,
    "allow_staff_override": true,
    "can_share": true,
    "is_shared_with_project": true,
    "hypothesis": "<string>",
    "variants": "<array>",
    "metrics": "<array>",
    "settings": {},
    "exposures_cache": {},
    "results_cache": {},
    "start_date": "<string>",
    "end_date": "<string>",
    "feature_flag": {}
  }
}

Authorizations

Authorization
string
header
required

Service Account

Path Parameters

workspace_id
integer
required
experiment_id
string
required

Body

application/json
name
string
Required string length: 1 - 255
description
string
Maximum string length: 400
hypothesis
string
status
string
settings
object
variants
array
metrics
array
start_date
string
end_date
string
exposures_cache
object
results_cache
object
tags
string[]
global_access_type
string

Response

Success

status
string
required
Allowed value: "ok"
results
object
required